include("Source/Nametitle.js");
include("Source/utils.js");

/* 
 * define value, shouldn't be changed runtime 
 */
var TOP_DUAL_OFFSET = 5;
var MAX_RETRY_FIRST_LOGIN = 2;
var MAX_DEBUG_TIMEOUT = 20;

/* 
 * flexible value, can be changed runtime 
 */
 
/* ip & password default */ 
var password_latest = "!@#$%^&*()";
var ip_latest = "192.168.0.1";

/* flag for show each page */
var basic_already_show = false;
var internet_already_show = false;
var lan_already_show = false;
var wlan_already_show = false;
var wlan5G_already_show = false;
var info_already_show=false;
var info_flag=false;
var internet_flag=false;
var lan_flag=false;
var wlan2_flag=false;
var wlan5_flag=false;

/* flag for detect internet connection */
var wan_ip_flag = false;
var physical_connect_flag = false;

/* flag for detect single/dual model */
var dual_radio_model_falg = false;
var single_radio_model_falg = false;
var if_change_model="nono";
var model_falg="nono";

/* flag for check login */
var login_flag = false;
var first_login_count = MAX_RETRY_FIRST_LOGIN;
var ping_success_latest_flag = false;

/* for debug */
var timeout_debug = MAX_DEBUG_TIMEOUT;

/*forTX RX  rate*/
var internetTXByte=0;
var internetRXByte=0;
var lanTXByte=0;
var lanRXByte=0;
var wlan2TXByte=0;
var wlan2RXByte=0;
var wlan5TXByte=0;
var wlan5RXByte=0;
/*for detect  giga  wireless mode*/
var giga_mode_flag=false;
var wireless_mode_flag="11g";

var timetest=0;
/* 
 * default process in first running
 */
loader_language();
login();
init_once();

function login_fail(error_type){	
  switch(error_type){
  	case IP_ERROR:
  	    clearAllData(true); 
        clearunitData();   
  		top.src="Resources/UI/IP_error.png";
  		top.reload();
  		break;
  	case PASSWORD_ERROR:
  	    clearAllData(true); 
        clearunitData();  
  		top.src="Resources/UI/password_error.png";
  		top.reload();
  		break;
  	default:
  		break;  			
  }  
        clearAllData(true); 
        clearunitData();  
}

function set_login_flag(value){
	
	login_flag = value;
}

function set_ping_success_latest_flag(value){
	
	ping_success_latest_flag = value;
}

function get_ping_success_latest_flag(){
	
	return ping_success_latest_flag;
}

function set_data_on_dialplate(imange1_name,imange2_name,imange3_name,dialplate_value,data_hOffset,data_vOffset,ncolor)
{
	   if(login_flag==false)
	   {
	   	   return;
	   }
	   if(dialplate_value<0)
	   {
	   	   dialplate_value=0;
	   }
	   if(dialplate_value>=1024)
	   {dialplate_value=dialplate_value/1024;}
		imange1_name.opacity=255;		
		imange1_name.hOffset=data_hOffset+1;
		imange1_name.vOffset=data_vOffset;
		imange2_name.opacity=255;
		imange2_name.hOffset=data_hOffset+26;
		imange2_name.vOffset=data_vOffset;
		imange3_name.opacity=255;
		imange3_name.hOffset=data_hOffset+51;
		imange3_name.vOffset=data_vOffset;   
		if(dialplate_value>=0)
		{	
	            first_data=parseInt(dialplate_value/100);
	            second_data=parseInt((dialplate_value%100)/10);
	            third_data=parseInt(dialplate_value%10);   
            	if(first_data==0)
	             {
		              if(second_data==0)
		               {
		                   imange1_name.src="Resources/RT/"+ncolor+"/0.png";
		                   imange2_name.src="Resources/RT/"+ncolor+"/0.png";
		                   imange3_name.src="Resources/RT/"+ncolor+"/"+third_data+".png";
	                   }
	                   else
	               	   {
	    		           imange1_name.src="Resources/RT/"+ncolor+"/0.png";
	    		           imange2_name.src="Resources/RT/"+ncolor+"/"+second_data+".png";
	    		           imange3_name.src="Resources/RT/"+ncolor+"/"+third_data+".png";
	    	           }
	             }
	          else
		        {
			        imange1_name.src="Resources/RT/"+ncolor+"/"+first_data+".png";
	    		    imange2_name.src="Resources/RT/"+ncolor+"/"+second_data+".png";
	    		    imange3_name.src="Resources/RT/"+ncolor+"/"+third_data+".png";
		        }
	    }
	    else
		{
				imange1_name.src="Resources/RT/"+ncolor+"/0.png";
		        imange2_name.src="Resources/RT/"+ncolor+"/0.png";
		        imange3_name.src="Resources/RT/"+ncolor+"/0.png";
		 }  
}

function select_fast_giga_mode(myurl)
{
	if(login_flag==false){
	return;}
	 if(!myurl.response)
	     {	    return;     } 
	 else
	 	{
	 		  var urlData = myurl.responseData;
	          var xmlDom = XMLDOM.parse(urlData);
	          var myDOMNodeList = xmlDom.getElementsByName("system_info");
              if(myDOMNodeList.length != 0 && login_flag == true)
              {	var speedmode=myDOMNodeList.item(0).evaluate("string (wan_config_port_speed)");}
              if(speedmode=="giga")
              { giga_mode_flag = true;}
              else
              	giga_mode_flag=false;
	 	}    
	     
}
function Fast_Ethernet_mark(image_name,i_value,i_h,i_v)
{
	if(login_flag==false){
	return;}
	var data_t=i_value/1024;
	image_name.hOffset=i_h;
    image_name.vOffset=i_v;	
    if(data_t<=0)
    {image_name.src="Resources/RT/1.png";}
	else if(data_t>0&&data_t<=0.4)
	{image_name.src="Resources/RT/4.png";}
	else if(data_t>0.4&&data_t<=0.8)
	{image_name.src="Resources/RT/8.png";}
	else if(data_t>0.8&&data_t<=1.5)
	{image_name.src="Resources/RT/12.png";}
	else if(data_t>1.5&&data_t<=3)
	{image_name.src="Resources/RT/16.png";}
	else if(data_t>3&&data_t<=6.25)
	{image_name.src="Resources/RT/20.png";}
	else if(data_t>6.25&&data_t<=12.5)
	{image_name.src="Resources/RT/24.png";}
	else if(data_t>12.5&&data_t<=25)
	{image_name.src="Resources/RT//28.png";}
	else if(data_t>25&&data_t<=50)
	{ image_name.src="Resources/RT/32.png";}
	else if(data_t>50&&data_t<=100)
	{ image_name.src="Resources/RT/36.png";}
	else  if(data_t>100)
	{image_name.src="Resources/RT/36.png";}	    
}
function  Gigabit_Ethernet_mark(image_name,i_value,i_h,i_v)
{
   if(login_flag==false){
	return;}
	var data_t=i_value/1024;
	image_name.hOffset=i_h;
    image_name.vOffset=i_v;	
	if(data_t<=0.25)
	{image_name.src="Resources/RT/3.png";}
	else if(data_t>0.25&&data_t<=0.5)
	{image_name.src="Resources/RT/6.png";}
	else if(data_t>0.5&&data_t<=1)
	{image_name.src="Resources/RT/9.png";}
	else if(data_t>1&&data_t<=2)
	{image_name.src="Resources/RT/12.png";}
	else if(data_t>2&&data_t<=4)
	{image_name.src="Resources/RT/15.png";}
	else if(data_t>4&&data_t<=8)
	{image_name.src="Resources/RT/18.png";}
	else if(data_t>8&&data_t<=15)
	{image_name.src="Resources/RT/21.png";}
	else if(data_t>15&&data_t<=30)
	{ image_name.src="Resources/RT/24.png";}
	else if(data_t>30&&data_t<=62)
	{ image_name.src="Resources/RT/27.png";}
	else if(data_t>62&&data_t<=125)
	{ image_name.src="Resources/RT/30.png";}
	else if(data_t>125&&data_t<=250)
	{image_name.src="Resources/RT/33.png";}
	else if(data_t>250)
	{image_name.src="Resources/RT/36.png";}
}
function select_wireless_interface0_mode(myurl)
{
	var bandwidth0="";
	 if(!myurl.response)
	     { 	 return;  } 

	 		  var urlData = myurl.responseData;
	          var xmlDom = XMLDOM.parse(urlData);
	          var myDOMNodeList = xmlDom.getElementsByName("wlan_interface_0");
              if(myDOMNodeList.length != 0 && login_flag == true)
              {
              	  bandwidth0=myDOMNodeList.item(0).evaluate("string (wlan_channel_bandwidth)");
              	 var dot11_mode=myDOMNodeList.item(0).evaluate("string (wlan_dot11_mode)");
              }
              if(dot11_mode=="11b"||dot11_mode=="11g"||dot11_mode=="11bg"||dot11_mode=="11gb")
              	{
              		wireless_mode_flag="36Mbps";
             	}
              else{
                       if(bandwidth0.toLowerCase()=="40"||bandwidth0.toLowerCase()=="auto")
                       {wireless_mode_flag="180Mbps";}
                       else if(bandwidth0.toLowerCase()=="20")
               	       {wireless_mode_flag="90Mbps";}
              }
	 	  
}
function select_wireless_interface1_mode(myurl)
{
	var bandwidth1="";
		 if(!myurl.response)
	     {	  
	     	 return;   
	     	   } 
	 else
	 	{  
	 		  var urlData = myurl.responseData;
	          var xmlDom = XMLDOM.parse(urlData);
	          var myDOMNodeList = xmlDom.getElementsByName("wlan_interface_1");
              if(myDOMNodeList.length != 0 && login_flag == true)
              { 
                      bandwidth1=myDOMNodeList.item(0).evaluate("string (wlan_channel_bandwidth)");
              	var dot11_mode=myDOMNodeList.item(0).evaluate("string (wlan_dot11_mode)");
              }
             if(dot11_mode=="11b"||dot11_mode=="11g"||dot11_mode=="11bg"||dot11_mode=="11gb")
              	{
              		wireless_mode_flag="36Mbps";
              	}
              else{
                       var strVariable =bandwidth1.toLowerCase();
                       if(strVariable=="40"||strVariable=="auto")
                       {wireless_mode_flag="180Mbps";}
                       else if(strVariable=="20")
               	       {wireless_mode_flag="90Mbps";}
              }
	 	} 
}
function wireless_mark(image_name,i_value,i_h,i_v)
{
		if(login_flag==false){
	return;}
	if(wireless_mode_flag=="36Mbps")
	    {var data_t=i_value/1024;}
	else if(wireless_mode_flag=="90Mbps")
		{var data_t=i_value/(1024*2.5);}
	else if(wireless_mode_flag=="180Mbps")
		{var data_t=i_value/(1024*5);}
	image_name.hOffset=i_h;
    image_name.vOffset=i_v;	
	if(data_t<=1)
	{image_name.src="Resources/RT/1.png";}
	else if(data_t>1&&data_t<=2)
	{image_name.src="Resources/RT/2.png";}
	else if(data_t>2&&data_t<=3)
	{image_name.src="Resources/RT/3.png";}
	else if(data_t>3&&data_t<=4)
	{image_name.src="Resources/RT/4.png";}
	else if(data_t>4&&data_t<=5)
	{image_name.src="Resources/RT/5.png";}
	else if(data_t>5&&data_t<=6)
	{image_name.src="Resources/RT/6.png";}
	else if(data_t>6&&data_t<=7)
	{image_name.src="Resources/RT/7.png";}
	else if(data_t>7&&data_t<=8)
	{ image_name.src="Resources/RT/8.png";}
	else if(data_t>8&&data_t<=9)
	{ image_name.src="Resources/RT/9.png";}
	else if(data_t>9&&data_t<=10)
	{ image_name.src="Resources/RT/10.png";}
	else if(data_t>10&&data_t<=11)
	{image_name.src="Resources/RT/11.png";}
	else if(data_t>11&&data_t<=12)
	{image_name.src="Resources/RT/12.png";}
	else if(data_t>12&&data_t<=13)
	{image_name.src="Resources/RT/13.png";}
	else if(data_t>13&&data_t<=14)
	{image_name.src="Resources/RT/14.png";}
	else if(data_t>14&&data_t<=15)
	{image_name.src="Resources/RT/15.png";}
	else if(data_t>15&&data_t<=16)
	{image_name.src="Resources/RT/16.png";}
	else if(data_t>16&&data_t<=17)
	{image_name.src="Resources/RT/17.png";}
	else if(data_t>17&&data_t<=18)
	{image_name.src="Resources/RT/18.png";}
	else if(data_t>18&&data_t<=19)
	{image_name.src="Resources/RT/19.png";}
	else if(data_t>19&&data_t<=20)
	{image_name.src="Resources/RT/20.png";}
	else if(data_t>20&&data_t<=21)
	{image_name.src="Resources/RT/21.png";}
	else if(data_t>21&&data_t<=22)
	{image_name.src="Resources/RT/22.png";}
	else if(data_t>22&&data_t<=23)
	{image_name.src="Resources/RT/23.png";}
	else if(data_t>23&&data_t<=24)
	{image_name.src="Resources/RT/24.png";}
	else if(data_t>24&&data_t<=25)
	{image_name.src="Resources/RT/25.png";}
	else if(data_t>25&&data_t<=26)
	{image_name.src="Resources/RT/26.png";}
	else if(data_t>26&&data_t<=27)
	{image_name.src="Resources/RT/27.png";}
	else if(data_t>27&&data_t<=28)
	{image_name.src="Resources/RT/28.png";}
	else if(data_t>28&&data_t<=29)
	{image_name.src="Resources/RT/29.png";}
	else if(data_t>29&&data_t<=30)
	{image_name.src="Resources/RT/30.png";}
	else if(data_t>30&&data_t<=31)
	{image_name.src="Resources/RT/31.png";}
	else if(data_t>31&&data_t<=32)
	{image_name.src="Resources/RT/32.png";}
	else if(data_t>32&&data_t<=33)
	{image_name.src="Resources/RT/33.png";}
	else if(data_t>33&&data_t<=34)
	{image_name.src="Resources/RT/34.png";}
	else if(data_t>34&&data_t<=35)
	{image_name.src="Resources/RT/35.png";}
	else  if(data_t>35)
	{image_name.src="Resources/RT/36.png";}	 
}
function set_internet_image_offset(data_value)
{
var data_value1;
data_value1=data_value;
	if(login_flag==false){
	return;}
	if(dual_radio_model_falg){
	          var dh=56;
            var dv=209;
            var  ih=20;
            var iv=166;
         	}
     else if(single_radio_model_falg){
	        var dh=56;
          var dv=167; 
          var ih=22;
          var iv=126;
          }
         if(internet_already_show)
         {var data_color="n_w";}
        else
        {var data_color="n_bk";}	
          
           
            for_unit1.hOffset=dh+89;
	          for_unit1.vOffset=dv+40; 
           if(data_value1<1024){for_unit1.data="Kbps";}
           else if(data_value1>=1024){for_unit1.data="Mbps";}	
          	
           var sysUrl = new URL();
	        sysUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=system_info";
	        sysUrl.fetchAsync(select_fast_giga_mode);
          sysUrl=null;


          	
          	if (giga_mode_flag)
          	    {Gigabit_Ethernet_mark(bgImage_line1,data_value1,ih,iv);}
          	else
          		{Fast_Ethernet_mark(bgImage_line1,data_value1,ih,iv);}
          	
          	if(data_value1>999&&data_value1<1024)	
          	{data_value1=1024;}
	      	set_data_on_dialplate(wan_data_1,wan_data_2,wan_data_3,data_value1,dh,dv,data_color); 
}
function set_lan_image_offset(data_value)
{
  var data_value1;
   data_value1=data_value;
		if(login_flag==false){
	return;}
	if(dual_radio_model_falg){
	        var dh=204;
          var dv=208;
          var ih=168;
          var iv=166;}
     else if(single_radio_model_falg){
	         var dh=273;
           var dv=167; 	
           var ih=239;
           var iv=126;}
         if(lan_already_show)
         {var data_color="n_w"; }
         else
         { var data_color="n_bk";}          	
       
       for_unit2.hOffset=dh+89;
	     for_unit2.vOffset=dv+40;
	     if(data_value1<1024){for_unit2.data="Kbps";}
         else  if(data_value1>=1024){for_unit2.data="Mbps";}	
        	
        var sysUrl = new URL();
	         sysUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=system_info";
	         sysUrl.fetchAsync(select_fast_giga_mode); 
	         
	         sysUrl=null;
          	
          	if (giga_mode_flag)
          	    {Gigabit_Ethernet_mark(bgImage_line2,data_value1,ih,iv);}
          	else
          		{Fast_Ethernet_mark(bgImage_line2,data_value1,ih,iv);}
      		if(data_value1>999&&data_value1<1024)	
          	{data_value1=1024;}
      		set_data_on_dialplate(lan_data_1,lan_data_2,lan_data_3,data_value1,dh,dv,data_color);
}
function set_wlan2_image_offset(data_value)
{ 
		if(login_flag==false){
	return;}
	  var sysUrl = new URL();
	        sysUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wlan_stats";	 
	        sysUrl.fetchAsync(select_wireless_interface0_mode);    
	        sysUrl=null;  
	if(dual_radio_model_falg){		  
	       var dh=55;
           var dv=61;
           var ih=20;
           var iv=18;           
           }
     else if(single_radio_model_falg){     	 
	          var dh=164;
            var dv=61; 
            var  ih=130;
            var iv=20;}         
      for_unit3.hOffset=dh+89;
	    for_unit3.vOffset=dv+40;
	    if(data_value<1024){for_unit3.data="Kbps";}
       else if(data_value>=1024){for_unit3.data="Mbps";}	      	
       wireless_mark(bgImage_line3,data_value,ih,iv); 
       set_data_on_dialplate(wlan2_data_1,wlan2_data_2,wlan2_data_3,data_value,dh,dv,"n_w");	
}
function set_wlan5_image_offset(data_value)
{
	   if(login_flag==false){
	   	return;
	  }
		  var sysUrl = new URL();
	           sysUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wlan_stats";	 
	           sysUrl.fetchAsync(select_wireless_interface1_mode);   
	           sysUrl=null;
	     for_unit4.hOffset=293;
	     for_unit4.vOffset=100;
	     if(data_value<1024){for_unit4.data="Kbps";}
         else if(data_value>=1024){for_unit4.data="Mbps";}	
      		wireless_mark(bgImage_line4,data_value,171,19);

     set_data_on_dialplate(wlan5_data_1,wlan5_data_2,wlan5_data_3,data_value,204,61,"n_w");		    
}
function rate_for_internet(myurl)
{ 
		if(login_flag==false){
	return;}
	     if(!myurl.response)
	     {	    	 
	     	     for_unit1.data="Kbps";
	    	     set_internet_image_offset(0);
	     } 
	     else
	     { 	  
	          var urlData = myurl.responseData;
	          var xmlDom = XMLDOM.parse(urlData);
	          var myDOMNodeList = xmlDom.getElementsByName("wan_stats");

              if(myDOMNodeList.length != 0 && login_flag == true)
               {          
	                      var tx_diff =parseInt(myDOMNodeList.item(0).evaluate("string (wan_tx_bytes)"))-internetTXByte;
	                      var rx_diff=parseInt(myDOMNodeList.item(0).evaluate("string (wan_rx_bytes)"))-internetRXByte;
	                      if(tx_diff>=rx_diff)
	                      {set_internet_image_offset(parseInt(tx_diff/128));	  }
	                      else if(tx_diff<rx_diff)
	                      {set_internet_image_offset(parseInt(rx_diff/128));	  }                    
                           internetTXByte=parseInt(myDOMNodeList.item(0).evaluate("string (wan_tx_bytes)"))
                           internetRXByte=parseInt(myDOMNodeList.item(0).evaluate("string (wan_rx_bytes)"));   	             
	              } 
	      } 
}
function rate_for_lan(myurl)
{  
		if(login_flag==false){
	return;}
	      if(!myurl.response)
	         {	     
	         	 for_unit2.data="Kbps";    	
	    	    set_lan_image_offset(0);
	          }
	         var urlData = myurl.responseData;
	         var xmlDom= XMLDOM.parse(urlData);
	         var myDOMNodeList = xmlDom.getElementsByName("lan_stats");	
	 if(myDOMNodeList.length != 0 && login_flag == true)
	 {
         var tx_diff=parseInt(myDOMNodeList.item(0).evaluate("string (lan_tx_bytes)"))-lanTXByte;
         var rx_diff=parseInt(myDOMNodeList.item(0).evaluate("string (lan_rx_bytes)"))-lanRXByte;
         if(tx_diff>=rx_diff)
	         {set_lan_image_offset(parseInt(tx_diff/128));	  }
	     else if(tx_diff<rx_diff)
	         {set_lan_image_offset(parseInt(rx_diff/128));	  }    
         lanTXByte=parseInt(myDOMNodeList.item(0).evaluate("string (lan_tx_bytes)"));
         lanRXByte=parseInt(myDOMNodeList.item(0).evaluate("string (lan_rx_bytes)")); 
	   } 	
}
function rate_for_wlan5(myurl)
{  	
	if(login_flag==false){
	return;}
	     //wiress 5			
	    if(!myurl.response)
	      {
	      	 for_unit4.data="Kbps";
	    	 set_wlan5_image_offset(0);
	       }
        var urlData = myurl.responseData;
	    var xmlDom = XMLDOM.parse(urlData);
	    var myDOMNodeList = xmlDom.getElementsByName("wlan_interface_1");
	   if(myDOMNodeList.length != 0 && login_flag == true)
	    {
	      var wlan_enable = myDOMNodeList.item(0).evaluate("string (wlan_enable)");
	      var wlanEnable_5G = (wlan_enable == "1") ? "Enable" : "Disable";    
 	      if(wlanEnable_5G == "Disable")
 	      {
 	      	for_unit4.data="Kbps";
	    	 set_wlan5_image_offset(0);
 	      }
 	      else
 	      {
	          var  tx_diff=parseInt(myDOMNodeList.item(0).evaluate("string (wlan_tx_bytes)"))-wlan5TXByte;
	          var  rx_diff=parseInt(myDOMNodeList.item(0).evaluate("string (wlan_rx_bytes)"))-wlan5RXByte;
	          if(tx_diff>=rx_diff)
	         {set_wlan5_image_offset(parseInt(tx_diff/128));	  }
	         else if(tx_diff<rx_diff)
	         {set_wlan5_image_offset(parseInt(rx_diff/128));	  }  
              wlan5TXByte=parseInt(myDOMNodeList.item(0).evaluate("string (wlan_tx_bytes)"));
              wlan5RXByte=parseInt(myDOMNodeList.item(0).evaluate("string (wlan_rx_bytes)"));
            }
	   } 
}
function rate_for_wlan2(myurl)
{
	if(login_flag==false){
	return;}
	 //2.4	   
	  if(!myurl.response )
	  {
	  	     for_unit3.data="Kbps";
	  	    set_wlan2_image_offset(0);
	  	}
	  else
	  		{
	           var urlData = myurl.responseData;
	           var xmlDom = XMLDOM.parse(urlData);
	           var myDOMNodeList = xmlDom.getElementsByName("wlan_interface_0");
              if(myDOMNodeList.length != 0 && login_flag == true)
	          {
	                         var wlan_enable = myDOMNodeList.item(0).evaluate("string (wlan_enable)");
	                         var wlanEnable_2 = (wlan_enable == "1") ? "Enable" : "Disable";    
 	              if(wlanEnable_2 == "Disable") {   
 	              	   for_unit3.data="Kbps";       	
	                   set_wlan2_image_offset(0);
 	                }
 	              else 
 	  	             {	 
	                      var tx_diff=parseInt(myDOMNodeList.item(0).evaluate("string (wlan_tx_bytes)"))-wlan2TXByte;
	                      var rx_diff=parseInt(myDOMNodeList.item(0).evaluate("string (wlan_rx_bytes)"))-wlan2RXByte;
	                      if(tx_diff>=rx_diff)
	                       {set_wlan2_image_offset(parseInt(tx_diff/128));	  }
	                      else if(tx_diff<rx_diff)
	                       {set_wlan2_image_offset(parseInt(rx_diff/128));	  }                    
                          wlan2TXByte=parseInt(myDOMNodeList.item(0).evaluate("string (wlan_tx_bytes)"));
                          wlan2RXByte=parseInt(myDOMNodeList.item(0).evaluate("string (wlan_rx_bytes)"));
                      }
	             }  	
              }
}
function rate_for_all()
{
	if(!dual_radio_model_falg&&!single_radio_model_falg){
	return;}
	else
		{
	 var wanUrl = new URL();
	       wanUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wan_stats";
	       wanUrl.fetchAsync(rate_for_internet); 
	       wanUrl=null;
    var lanUrl = new URL();
           lanUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=lan_stats";	 
	       lanUrl.fetchAsync(rate_for_lan); 
	   	  lanUrl=null;
	  var wlanUrl2 = new URL();
	      wlanUrl2.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wlan_stats";
	      wlanUrl2.fetchAsync(rate_for_wlan2);
	      wlanUrl2=null;
	  if(dual_radio_model_falg){	
	  var wlanUrl5 = new URL();
	       wlanUrl5.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wlan_stats";
	       wlanUrl5.fetchAsync(rate_for_wlan5);
	       wlanUrl5=null;}
	  }
}
function init_once()
{
	
	readValues();

	  var selectModelUrl = new URL();
	   selectModelUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wlan_stats";
	   selectModelUrl.fetchAsync(detect_model_url_done);
	   selectModelUrl=null;

	   
	if(dual_radio_model_falg){
		
		initAlreadyShowFlag(false,false,false,false,false,false);
	}else if(single_radio_model_falg){
		 print("init_once() all to false");
	  initAlreadyShowFlag(false,false,false,false,false,false);
	}
	displayFrame();
}

function initAlreadyShowFlag(basic,internet,lan,wlan,wlan5G,info){

	basic_already_show = basic;
    internet_already_show = internet;
    lan_already_show = lan;
    wlan_already_show = wlan;
    wlan5G_already_show = wlan5G;
    info_already_show=info;
}

function check_ssid_special_char(ssid_uncorrected){
	
	var ssid_tmp = ssid_uncorrected;
	var match_char;

	match_char = ssid_tmp.match("&amp;");

	while(match_char){
		ssid_tmp = ssid_tmp.replace("&amp;","&");
		match_char = ssid_tmp.match("&amp;");
	}

	match_char = ssid_tmp.match("&#60;");
	while(match_char){
		ssid_tmp = ssid_tmp.replace("&#60;","<");
		match_char = ssid_tmp.match("&#60;");
	}
	return ssid_tmp;
}

function wlan_url_done(myUrl)
{
	if(!myUrl.response || !wlan_already_show){
		return;
	}

	var urlData = myUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);

	var myDOMNodeList = xmlDom.getElementsByName("wlan_interface_0");
	if(myDOMNodeList.length != 0 && login_flag == true){
	  /* dual model isn't need to check */
	  if(single_radio_model_falg){
	  	if(myDOMNodeList.length == 0){
	  		myDOMNodeList = xmlDom.getElementsByName("wlan_interface_1");
	  	}
	  }
    
	  var wlan_enable = myDOMNodeList.item(0).evaluate("string (wlan_enable)");
	  wlanEnable.data = (wlan_enable == "1") ? "Enable" : "Disable";
    
 	  if(wlanEnable.data == "Disable"){
 	  	wlanMode.data = "N/A";
 	  	wlanSsid.data = "N/A";
 	  	wlanChannel.data = "N/A";
 	  	wlanSecMode.data = "N/A";
 	  	transmissionRate.data = "N/A";
 	  	wlanTx.data = "0";
 	  	wlanRx.data = "0";
 	  }else{
 	  	wlanSsid.data = check_ssid_special_char(myDOMNodeList.item(0).evaluate("string (wlan_ssid)"));
	    var wlan_mode_t = myDOMNodeList.item(0).evaluate("string (wlan_dot11_mode)");
	    if(wlan_mode_t=="11bg"||wlan_mode_t=="11gb")
	    {wlan_mode_t="11b/g";}
	     if(wlan_mode_t=="11bgn"||wlan_mode_t=="11ngb"||wlan_mode_t=="11bng"||wlan_mode_t=="11nbg"||wlan_mode_t=="11gnb"||wlan_mode_t=="11gbn")
	    {wlan_mode_t="11n/g/b";}
	     if(wlan_mode_t=="11ng"||wlan_mode_t=="11gn")
	    {wlan_mode_t="11n/g";}
	     if(wlan_mode_t=="11na"||wlan_mode_t=="11an")
	    {wlan_mode_t="11n/a";}
	    wlanMode.data  = (wlan_mode_t == "") ? "11n/g" : wlan_mode_t;
    
	    wlanChannel.data = myDOMNodeList.item(0).evaluate("string (wlan_channel)");
	    wlanSecMode.data = myDOMNodeList.item(0).evaluate("string (wlan_security)");
	    wlanTx.data = myDOMNodeList.item(0).evaluate("string (wlan_tx_packets)");
	    wlanRx.data = myDOMNodeList.item(0).evaluate("string (wlan_rx_packets)");
	    transmissionRate.data = myDOMNodeList.item(0).evaluate("string (wlan_txrate)");
	  }

	  var wmm_enable = myDOMNodeList.item(0).evaluate("string (wlan_wmm_enable)");
	  wlanWmm.data = (wmm_enable == "1") ? "Enable" : "Disable";
    
	  var partition_enable = myDOMNodeList.item(0).evaluate("string (wlan_partition_enable)");
	  wlanPartition.data = (partition_enable == "1") ? "Enable" : "Disable";
	}  	
}
function wlan5G_url_done(myUrl)
{
	if(!myUrl.response || !wlan5G_already_show){
		return;
	}

	var urlData = myUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);

	var myDOMNodeList = xmlDom.getElementsByName("wlan_interface_1");
	if(myDOMNodeList.length != 0 && login_flag == true){
	  var wlan_enable = myDOMNodeList.item(0).evaluate("string (wlan_enable)");
	  wlanEnable5G.data = (wlan_enable == "1") ? "Enable" : "Disable";
    
 	  if(wlanEnable5G.data == "Disable"){
 	  	wlanMode5G.data = "N/A";
 	  	wlanSsid5G.data = "N/A";
 	  	wlanChannel5G.data = "N/A";
 	  	wlanSecMode5G.data = "N/A";
 	  	transmissionRate5G.data = "N/A";
 	  	wlanTx5G.data = "0";
 	  	wlanRx5G.data = "0";
 	  }else{
 	    wlanSsid5G.data  = myDOMNodeList.item(0).evaluate("string (wlan_ssid)");	        
	    var wlan_mode_t = myDOMNodeList.item(0).evaluate("string (wlan_dot11_mode)");
	     if(wlan_mode_t=="11bg"||wlan_mode_t=="11gb")
	    {wlan_mode_t="11b/g";}
	     if(wlan_mode_t=="11bgn"||wlan_mode_t=="11ngb"||wlan_mode_t=="11bng"||wlan_mode_t=="11nbg"||wlan_mode_t=="11gnb"||wlan_mode_t=="11gbn")
	    {wlan_mode_t="11n/g/b";}
	     if(wlan_mode_t=="11ng"||wlan_mode_t=="11gn")
	    {wlan_mode_t="11n/g";}
	     if(wlan_mode_t=="11na"||wlan_mode_t=="11an")
	    {wlan_mode_t="11n/a";}
	    wlanMode5G.data  = (wlan_mode_t == "") ? "11ng" : wlan_mode_t;
    
	    wlanChannel5G.data = myDOMNodeList.item(0).evaluate("string (wlan_channel)");
	    wlanSecMode5G.data = myDOMNodeList.item(0).evaluate("string (wlan_security)");
	    wlanTx5G.data = myDOMNodeList.item(0).evaluate("string (wlan_tx_packets)");
	    wlanRx5G.data = myDOMNodeList.item(0).evaluate("string (wlan_rx_packets)");
	    transmissionRate5G.data = myDOMNodeList.item(0).evaluate("string (wlan_txrate)");         
	  }
    
	  var wmm_enable = myDOMNodeList.item(0).evaluate("string (wlan_wmm_enable)");
	  wlanWmm5G.data = (wmm_enable == "1") ? "Enable" : "Disable";
    
	  var partition_enable = myDOMNodeList.item(0).evaluate("string (wlan_partition_enable)");
	  wlanPartition5G.data = (partition_enable == "1") ? "Enable" : "Disable";
	}  	
}
function wps_url_done(myUrl){
	if(!myUrl.response || (!wlan_already_show & !wlan5G_already_show)){
		return;
	}

	var urlData = myUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);

	var myDOMNodeList = xmlDom.getElementsByName("wps");
	
	if(myDOMNodeList.length != 0 && login_flag == true){
	  var wps_enable = myDOMNodeList.item(0).evaluate("string (enable)");
	  wifiSetup.data = (wps_enable == "1") ? "Enable" : "Disable";
    
	  if(wps_enable == "1"){
	  	var config_enable = myDOMNodeList.item(0).evaluate("string (configured)");
	  	wifiSetup.data = wifiSetup.data + ((config_enable == "1") ? "/Configured" : "/Unconfigured");
	  }
	}  
}

function padout(number)
{
	return (number < 10) ? '0' + number : number;
}
function wan_uptime_selector(wan_uptime_secs)
{
	var wan_uptime = '';
	var days = Math.floor(wan_uptime_secs / 86400);
	wan_uptime_secs %= 86400;
	var hours = Math.floor(wan_uptime_secs / 3600);
	wan_uptime_secs %= 3600;
	var mins = Math.floor(wan_uptime_secs / 60);
	wan_uptime_secs %= 60;

	wan_uptime = days + ":";
	wan_uptime += hours + ":" + padout(mins) + ":" + padout(wan_uptime_secs);
	wanUpTime.data = wan_uptime;

}
function lan_url_done(lanUrl)
{
	if(!lanUrl.response || !lan_already_show){
		return;
	}

	var urlData = lanUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);

	var myDOMNodeList = xmlDom.getElementsByName("lan_stats");
	
	if(myDOMNodeList.length != 0 && login_flag == true){
	  lanIp.data  = myDOMNodeList.item(0).evaluate("string (lan_ip)");
	  lanSubMask.data = myDOMNodeList.item(0).evaluate("string (lan_netmask)");
	  lanTx.data=myDOMNodeList.item(0).evaluate("string (lan_tx_packets)");
	  lanRx.data=myDOMNodeList.item(0).evaluate("string (lan_rx_packets)");
	}  
}
function dhcp_url_done(dhcpUrl){
	if(!dhcpUrl.response || !lan_already_show){
		return;
	}

	 var urlData = dhcpUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);

	var myDOMNodeList = xmlDom.getElementsByName("dhcp_server");
	
	if(myDOMNodeList.length != 0 && login_flag == true){
		var dhcp_enable = myDOMNodeList.item(0).evaluate("string (dhcpd_enable)");
		dhcpServer.data = (dhcp_enable == "1") ? "Enable" : "Disable";
	}		
}
function qos_url_done(qosUrl){
	if(!qosUrl.response || !lan_already_show){
		return;
	}
	var urlData = qosUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);

	var myDOMNodeList = xmlDom.getElementsByName("qos");
	
	if(myDOMNodeList.length != 0 && login_flag == true){
		var qos_enable = myDOMNodeList.item(0).evaluate("string (qos_enable)");
		qosEngine.data = (qos_enable == "1") ? "Enable" : "Disable";
	}		
}
function misc_url_done(miscUrl){
	if(!miscUrl.response || !lan_already_show){
		return;
	}
	var urlData = miscUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);

	var myDOMNodeList = xmlDom.getElementsByName("upnp");
	
	if(myDOMNodeList.length != 0 && login_flag == true){
		var upnp_enable = myDOMNodeList.item(0).evaluate("string (enable)");
		upnp.data = (upnp_enable == "1") ? "Enable" : "Disable";
		myDOMNodeList = xmlDom.getElementsByName("misc_config");
		var multicast_enable = myDOMNodeList.item(0).evaluate("string (multicast_stream_enable)");
		multiCast.data = (multicast_enable == "1") ? "Enable" : "Disable";
	}		
}
function wan_url_done(myUrl)
{ 
	if(!myUrl.response){
		return;
	}

	var urlData = myUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);

	var myDOMNodeList = xmlDom.getElementsByName("wan_stats");
	if(myDOMNodeList.length != 0 && login_flag == true){
	  var wan_ip = myDOMNodeList.item(0).evaluate("string (wan_ip)");
    
	  wan_ip_flag = (wan_ip == "0.0.0.0") ? false : true;
    
	  if(internet_already_show){
	  	networkSTatus.data = (wan_ip_flag && physical_connect_flag) ? "Established" : "Disconnected";
	  	var connect_type = myDOMNodeList.item(0).evaluate("string (wan_protocol)");
	  	connect_type=connect_type.toLowerCase();
	  	if(connect_type=="dhcpc")
	  	{
	  		connectType.data  = "DHCP Client" ;
	  	}
	  	else
	  	{
	  		connectType.data  = myDOMNodeList.item(0).evaluate("string (wan_protocol)");
	  	}
	    wan_uptime_selector(myDOMNodeList.item(0).evaluate("string (wan_uptime)"));
	    wanIp.data = myDOMNodeList.item(0).evaluate("string (wan_ip)");
	    wanSubmask.data = myDOMNodeList.item(0).evaluate("string (wan_netmask)");
	    wanGateway.data = myDOMNodeList.item(0).evaluate("string (wan_default_gateway)");
	    primaryDNS.data = myDOMNodeList.item(0).evaluate("string (wan_primary_dns)");
	    secondaryDNS.data = myDOMNodeList.item(0).evaluate("string (wan_secondary_dns)");
	  }
	}  
}
function detect_model_url_done(myUrl)
{
		if(!myUrl.response){
			dual_radio_model_falg=false;
			single_radio_model_falg =false;
		return;
	}  //YCH   add
	
	var urlData = myUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);

	var myDOMNodeList = xmlDom.getElementsByName("wlan_interface_1");
	//print("---------- detect_model_url_done----------"+myDOMNodeList.length);
	/* single radio */
	if(myDOMNodeList.length == 0&& login_flag == true){
		single_radio_model_falg = true;
		dual_radio_model_falg=false;
		model_falg ="single";
	/* dual radio */
	}else if(myDOMNodeList.length != 0&& login_flag == true){
		dual_radio_model_falg = true;
		single_radio_model_falg =false;
		model_falg ="dual";
	}
}
function system_wan_url_done(myUrl)
{
	if(!myUrl.response || !internet_already_show){
		return;
	}

	var urlData = myUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);

	var myDOMNodeList = xmlDom.getElementsByName("system_info");
	
	if(myDOMNodeList.length != 0 && login_flag == true){
		wanMac.data = myDOMNodeList.item(0).evaluate("string (wan_mac)");

		myDOMNodeList = xmlDom.getElementsByName("switch_port_4_status");
		cableStatus.data = (myDOMNodeList.item(0).evaluate("string (status)") == "Disconnected") ? "Disconnected" : "Connected";
		physical_connect_flag = (myDOMNodeList.item(0).evaluate("string (status)") == "Disconnected") ? false : true;
		
		var wanPortSpeed_W = "0";
		if(cableStatus.data == "Connected"){
			wanPortSpeed_W = myDOMNodeList.item(0).evaluate("string (status)");
			if(wanPortSpeed_W == "Giga"){
				wanPortSpeed_W = "Gigabit";
			}
		}
		//wanPortSpeed.data = (cableStatus.data == "Connected") ? myDOMNodeList.item(0).evaluate("string (status)") : "0";
		wanPortSpeed.data = wanPortSpeed_W;
	}		

}
function system_lan_url_done(myUrl)
{
	if(!myUrl.response || !lan_already_show){
		return;
	}

	var urlData = myUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);

	var myDOMNodeList = xmlDom.getElementsByName("switch_port_0_status");
	if(myDOMNodeList.length != 0 && login_flag == true){
	  portConn1.data = (myDOMNodeList.item(0).evaluate("string (status)") == "Disconnected") ? "Disconnected" : "Connected";
    
	  myDOMNodeList = xmlDom.getElementsByName("switch_port_1_status");
	  portConn2.data = (myDOMNodeList.item(0).evaluate("string (status)") == "Disconnected") ? "Disconnected" : "Connected";
    
	  myDOMNodeList = xmlDom.getElementsByName("switch_port_2_status");
	  portConn3.data = (myDOMNodeList.item(0).evaluate("string (status)") == "Disconnected") ? "Disconnected" : "Connected";
    
	  myDOMNodeList = xmlDom.getElementsByName("switch_port_3_status");
	  portConn4.data = (myDOMNodeList.item(0).evaluate("string (status)") == "Disconnected") ? "Disconnected" : "Connected";
    
	  myDOMNodeList = xmlDom.getElementsByName("system_info");
	  lanMac.data  = myDOMNodeList.item(0).evaluate("string (lan_mac)");
	}  
}
/*---------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
function system_wlan_url_done(myUrl)
{ 
	if(!myUrl.response || (!wlan_already_show & !wlan5G_already_show)){
		return;
	}

	var urlData = myUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);

	var myDOMNodeList = xmlDom.getElementsByName("system_info");
	
	if(myDOMNodeList.length != 0 && login_flag == true){
		wlanMac.data = myDOMNodeList.item(0).evaluate("string (lan_mac)");
	}	
}

function basic_system_url_done(myUrl)
{
	if(!myUrl.response || !info_already_show){
		return;
	}
	var urlData = myUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);
	var myDOMNodeList = xmlDom.getElementsByName("system_info");
	
	if(myDOMNodeList.length != 0 && login_flag == true){
	model_name.data = myDOMNodeList.item(0).evaluate("string (product_name)");
	
	hw_version.data= myDOMNodeList.item(0).evaluate("string (hardware_version)");
	
	var fw1=myDOMNodeList.item(0).evaluate("string (firmware_version_major)");
	var fw2=myDOMNodeList.item(0).evaluate("string (firmware_version_minor)");
	var fw3=myDOMNodeList.item(0).evaluate("string (firmware_version_build)");
	fw_version.data=fw1+"."+fw2+"build"+fw3;
}	
}
function basic_wan_url_done(myUrl)
{
	if(!myUrl.response || !info_already_show){
		return;
	}
	var urlData = myUrl.responseData;
	var xmlDom = XMLDOM.parse(urlData);
	var myDOMNodeList = xmlDom.getElementsByName("wan_stats");
	if(myDOMNodeList.length != 0 && login_flag == true){
	system_up_time.data = myDOMNodeList.item(0).evaluate("string (timestamp)");
}
}
function check_ip_and_password_changed()
{
	if(ip_latest != preferences.loginIP.value ||password_latest != preferences.loginPassword.value){		 	   
	   	 print(" === password or ip address were changed === ");
	   	 
	   	 /* open login-timer while ip or password were changed */
	   	 loginTimer.ticking = true;
	   	 
	   	 /* init all flag */
	   	 login_flag = false;	
	   	 ping_success_latest_flag = false;
	   	 set_wait_last_session_flag(false);
	   	 timeout_debug = MAX_DEBUG_TIMEOUT;
	   	 first_login_count = MAX_RETRY_FIRST_LOGIN;
	   	 
	   	 /* init data */  	 	   	 
	   	 clearAllData(true);	 
	   	 clearimage();
	   	 clearunitData();  	  
	   	 showImage.src="Resources/UI/pleasewait.gif";	  
	   	 /* init image */
	   	 top.src="Resources/UI/pleasewait.gif";	  

		   password_latest = preferences.loginPassword.value;
		   ip_latest = preferences.loginIP.value;			 
		   
		   sleep(1000);
	}
}
function login_stage(myurl)
{
	if(!myurl.responseData){	
	  print("***********ping fail!*************");
		initAlreadyShowFlag(false,false,false,false,false,false);	
		login_flag = false;
		clearAllData(true);
		clearimage();
		clearunitData();  	  
		showImage.src="Resources/UI/IP_error.png";
		top.src="Resources/UI/IP_error.png";	 
		top.reload(); 
		login();
	}
}
function check_login_success()
{
	  var url = new URL();
	  url.timeout = 1;
	  url.location = "http://" + preferences.loginIP.value;	
	  wait_last_session_flag = false;
	  url.fetchAsync(login_stage);
	  url=null;
}

function readValues()
{	
	/*timetest++;
	if(timetest>20)
	{
		readValuesTimer.ticking=false;
	}*/
	print("---------- readValues----------");
	check_ip_and_password_changed();
	check_login_success();
	if(login_flag == false)
	{
		/* for debug */
		if(get_wait_last_session_flag())
		{
			if(timeout_debug < 0)
				{timeout_debug = MAX_DEBUG_TIMEOUT;}
		}
		else
		{
			print("session is free .......");
		}	
	
		/* 
		 * avoid first login(whatever program first run or changing password)
		 * to wait too long, try MAX_RETRY_FIRST_LOGIN times.
		 */

		if(first_login_count >= 0)
		{
			login();			
			first_login_count--;
		}	
		/* show login image while logining fail */		
		clearimage();  
		clearunitData();
		login_fail();
		return;
	}else{
		/* for debug */
		timeout_debug = MAX_DEBUG_TIMEOUT;
	}	
	
	/* in case the IP_error page was overlappin the data in rebooting */ 
	if(top.src == "Resources/UI/IP_error.png"){
		if(login_flag){
			initAlreadyShowFlag(false,false,false,false,false,false);
			clearAllData(true);
			top.src = "";
			showImage.src ="";
			top.reload();
			showImage.reload();
			clearimage();
			clearunitData();				
			displayBasic();
		}
		return;
	}
	//if(top.src != "Resources/UI/IP_error.png"||top.src!="Resources/UI/pleasewait.gif"||top.src!="Resources/UI/password_error.png"||top.src==""){ 
    if(top.src==""){
        var selectModelUrl = new URL();
	         selectModelUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wlan_stats";
	         selectModelUrl.fetchAsync(detect_model_url_done);
	         selectModelUrl=null;
	         if(model_falg!=if_change_model)
	         {	         	
	         	if_change_model=model_falg;
	  		    clearimage();
		    	  clearunitData();
			      initAlreadyShowFlag(false,false,false,false,false,false);
			      clearAllData(true);
	  	      displayBasic();	  	        
	  	      return;	         	
	        }
	  }

	if(login_flag)
	{	
	if(!lan_already_show && !wlan_already_show && !internet_already_show && !wlan5G_already_show&&!info_already_show){
		displayBasic(); 
	}	
	
	/* basic */   
	if(info_already_show)   
	{	
	  var lanUrl = new URL();
	  lanUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=system_info";
	  lanUrl.fetchAsync(basic_system_url_done);
	  lanUrl=null;
	  var wanUrl = new URL();
	  wanUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wan_stats";
	  wanUrl.fetchAsync(basic_wan_url_done);
	  wanUrl=null;
	 
	}

	/* lan */
	if(lan_already_show){

           var lanUrl = new URL();
		       lanUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=lan_stats";
	         lanUrl.fetchAsync(lan_url_done);
           lanUrl=null;
           var dhcpUrl = new URL();
           dhcpUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=dhcp_server";
           dhcpUrl.fetchAsync(dhcp_url_done);
           dhcpUrl=null; 
           var qosUrl = new URL();
           qosUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=qos";
           qosUrl.fetchAsync(qos_url_done);
           qosUrl=null;
           var miscUrl = new URL();
	         miscUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=misc_config";
           miscUrl.fetchAsync(misc_url_done);
           miscUrl=null;  
           var systemLanUrl = new URL();
	 	       systemLanUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=system_info";
           systemLanUrl.fetchAsync(system_lan_url_done);
           systemLanUrl=null; 
	}   

	/* wlan 24G*/
  if(wlan_already_show){
  	  var wlanUrl = new URL();
	    wlanUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wlan_stats";
	  	wlanUrl.fetchAsync(wlan_url_done);
	  	wlanUrl=null;

	  	var wpsUrl = new URL();
	  	wpsUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wps";
	  	wpsUrl.fetchAsync(wps_url_done);
	  	wpsUrl=null;

	  	var systemWlanUrl = new URL();
	  	systemWlanUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=system_info";
	  	systemWlanUrl.fetchAsync(system_wlan_url_done);
	  	systemWlanUrl=null;

	}

	/* wlan 5G*/
    if(wlan5G_already_show){
		  var wlan5GUrl = new URL();
			wlan5GUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wlan_stats";
	    wlan5GUrl.fetchAsync(wlan5G_url_done);
	    wlan5GUrl=null;

			var wpsUrl = new URL();
	    wpsUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wps";
	    wpsUrl.fetchAsync(wps_url_done);
	    wpsUrl=null;

	   	var systemWlanUrl = new URL();
	   	systemWlanUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=system_info";
	   	systemWlanUrl.fetchAsync(system_wlan_url_done);
	   	systemWlanUrl=null;

	}

	/* internet */
	if(internet_already_show){
	  var wanUrl = new URL();
	  wanUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wan_stats";
	  wanUrl.fetchAsync(wan_url_done);
	  wanUrl=null;

	  var systemWanUrl = new URL();
	  systemWanUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=system_info";
	  systemWanUrl.fetchAsync(system_wan_url_done);
	  systemWanUrl=null;
	  
	}	
	   rate_for_all(); 	
	}
}

function adjust_basic_data_vOffset(offset_value_1,offset_value_2)
{
	modelName_T.vOffset = offset_value_1;
	modelName.vOffset = offset_value_1;
	interConnect_T.vOffset = offset_value_2;
	interConnect.vOffset = offset_value_2;
}

function adjust_data_hOffset(offset_value)
{
	 //Basic
		 model_name.hOffset=offset_value;
	 	hw_version.hOffset=offset_value;
	 	fw_version.hOffset=offset_value;
	 	system_up_time.hOffset=offset_value;
		// internet
		connectType.hOffset=offset_value;
		cableStatus.hOffset=offset_value;
		networkSTatus.hOffset=offset_value;
		wanUpTime.hOffset=offset_value;
		wanPortSpeed.hOffset=offset_value;
		wanMac.hOffset=offset_value;
		wanIp.hOffset=offset_value;
		wanSubmask.hOffset=offset_value;
		wanGateway.hOffset=offset_value;
		primaryDNS.hOffset=offset_value;
		secondaryDNS.hOffset=offset_value;
	// lan
		lanMac.hOffset=offset_value;
		lanIp.hOffset=offset_value;
		lanSubMask.hOffset=offset_value;
		dhcpServer.hOffset=offset_value;
		qosEngine.hOffset=offset_value;
    upnp.hOffset=offset_value;
    multiCast.hOffset=offset_value;
    portConn1.hOffset=offset_value;
    portConn2.hOffset=offset_value;
    portConn3.hOffset=offset_value;
    portConn4.hOffset=offset_value;
    lanTx.hOffset=offset_value;
    lanRx.hOffset=offset_value;
	//wlan 2.4G
		wlanEnable.hOffset=offset_value;
		wlanSsid.hOffset=offset_value;
		wlanMode.hOffset=offset_value;
		wlanChannel.hOffset=offset_value;
		wlanSecMode.hOffset=offset_value;
		wlanMac.hOffset=offset_value;
		wifiSetup.hOffset=offset_value;
		transmissionRate.hOffset=offset_value;
		wlanWmm.hOffset=offset_value;
		wlanPartition.hOffset=offset_value;
		wlanTx.hOffset=offset_value;
		wlanRx.hOffset=offset_value;
	//5GHz
		wlanEnable5G.hOffset=offset_value;
		wlanSsid5G.hOffset=offset_value;
		wlanMode5G.hOffset=offset_value;
		wlanChannel5G.hOffset=offset_value;
		wlanSecMode5G.hOffset=offset_value;
		wlanMac5G.hOffset=offset_value;
		wifiSetup5G.hOffset=offset_value;
		transmissionRate5G.hOffset=offset_value;
		wlanWmm5G.hOffset=offset_value;
		wlanPartition5G.hOffset=offset_value;
		wlanTx5G.hOffset=offset_value;
		wlanRx5G.hOffset=offset_value;
}

function adjust_data_vOffset(offset_value,space_value)
{
	//basic
	 model_name.vOffset=offset_value;
	 hw_version.vOffset=offset_value+space_value*1;
	 fw_version.vOffset=offset_value+space_value*2;
	 system_up_time.vOffset=offset_value+space_value*3;
	// internet
	connectType.vOffset=offset_value;
	cableStatus.vOffset=offset_value+space_value*1;
	networkSTatus.vOffset=offset_value+space_value*2;
	wanUpTime.vOffset=offset_value+space_value*3;
	wanPortSpeed.vOffset=offset_value+space_value*4;
	wanMac.vOffset=offset_value+space_value*5;
	wanIp.vOffset=offset_value+space_value*6;
	wanSubmask.vOffset=offset_value+space_value*7;
	wanGateway.vOffset=offset_value+space_value*8;
	primaryDNS.vOffset=offset_value+space_value*9;
	secondaryDNS.vOffset=offset_value+space_value*10;
	// lan
	lanMac.vOffset=offset_value;
	lanIp.vOffset=offset_value+space_value*1;
	lanSubMask.vOffset=offset_value+space_value*2;
	dhcpServer.vOffset=offset_value+space_value*3;
	qosEngine.vOffset=offset_value+space_value*4;
    upnp.vOffset=offset_value+space_value*5;
    multiCast.vOffset=offset_value+space_value*6;
    portConn1.vOffset=offset_value+space_value*7;
    portConn2.vOffset=offset_value+space_value*8;
    portConn3.vOffset=offset_value+space_value*9;
    portConn4.vOffset=offset_value+space_value*10;
    lanTx.vOffset=offset_value+space_value*11;
    lanRx.vOffset=offset_value+space_value*12;
	//wlan 2.4G
	wlanEnable.vOffset=offset_value;
	wlanSsid.vOffset=offset_value+space_value*1;
	wlanMode.vOffset=offset_value+space_value*2;
	wlanChannel.vOffset=offset_value+space_value*3;
	wlanSecMode.vOffset=offset_value+space_value*4;
	wlanMac.vOffset=offset_value+space_value*5;
	wifiSetup.vOffset=offset_value+space_value*6;
	transmissionRate.vOffset=offset_value+space_value*7;
	wlanWmm.vOffset=offset_value+space_value*8;
	wlanPartition.vOffset=offset_value+space_value*9;
	wlanTx.vOffset=offset_value+space_value*10;
	wlanRx.vOffset=offset_value+space_value*11;
	//5GHz
	wlanEnable5G.vOffset=offset_value;
	wlanSsid5G.vOffset=offset_value+space_value*1;
	wlanMode5G.vOffset=offset_value+space_value*2;
	wlanChannel5G.vOffset=offset_value+space_value*3;
	wlanSecMode5G.vOffset=offset_value+space_value*4;
	wlanMac5G.vOffset=offset_value+space_value*5;
	wifiSetup5G.vOffset=offset_value+space_value*6;
	transmissionRate5G.vOffset=offset_value+space_value*7;
	wlanWmm5G.vOffset=offset_value+space_value*8;
	wlanPartition5G.vOffset=offset_value+space_value*9;
	wlanTx5G.vOffset=offset_value+space_value*10;
	wlanRx5G.vOffset=offset_value+space_value*11;
}

function clearimage()
{
	    clickImage.src="";
	    modelImage.src="";
	    bgImage_line1.src="";
	    bgImage_line2.src="";
	    bgImage_line3.src="";
	    bgImage_line4.src="";
  		wan_data_1.src="";
        wan_data_2.src="";
  	    wan_data_3.src="";
  		lan_data_1.src="";
  		lan_data_2.src="";
  		lan_data_3.src="";
  		wlan2_data_1.src="";
  		wlan2_data_2.src="";
  		wlan2_data_3.src="";
  		wlan5_data_1.src="";
  		wlan5_data_2.src="";
  		wlan5_data_3.src="";
}

function displayBasic()
{			
	print("---------- displayBasic----------");
	if(login_flag == false||info_already_show||internet_already_show||lan_already_show||wlan_already_show||wlan5G_already_show){
		return;
	}	
		  
	   var selectModelUrl = new URL();
	   selectModelUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wlan_stats";
	   selectModelUrl.fetchAsync(detect_model_url_done);
	   selectModelUrl=null;
	   clearAllData(true); 	   
		top.src="";
		top.reload();
	if(dual_radio_model_falg&&login_flag == true){
			showImage.src="Resources/BG/dualband-BBWW.png";
			showImage.reload();
			updateNow();

	 }
	 else if(single_radio_model_falg&&login_flag == true){
	 		wlan5_data_1.src="";
  		wlan5_data_2.src="";
  		wlan5_data_3.src="";
  		bgImage_line4.src="";
  		for_unit4.data="";
		  showImage.src="Resources/BG/singleband-BWW.png";
		  showImage.reload();
			updateNow();
	}
	else if(!dual_radio_model_falg&&!single_radio_model_falg)
		{
			return;
		}
}
function clickInternet()
{ 
	if(login_flag == false){
		return;}		
    modelImage.src="";
    clickImage.src="";
    if(!internet_already_show)
    {clearAllData(true);}
	initAlreadyShowFlag(false,true,false,false,false,false);
	if(dual_radio_model_falg){
 
		showImage.src="Resources/BG/dualband-BBOW-2.png";
		adjust_data_hOffset(180);  
		adjust_data_vOffset(329,14); 
		show_List_title(internet_msg, internet_V, 50);}
	else if(single_radio_model_falg){	

	    showImage.src="Resources/BG/singleband-BOW-2.png";
	   //Ŀݵˮƽλ
	   adjust_data_hOffset(215);   
	   //ĿݵĴֱλ
	   adjust_data_vOffset(285,14); 
	  //Ŀˮƽλ
	  show_List_title(internet_msg, internet655_V, 88);}
}
function displayInternet()
{
	if(login_flag == false){
		return;}	
	var  h=0;
	var  v=0;
	if(dual_radio_model_falg){
		//showImage.src="Resources/BG/dualband-BBOW.png";	
		h=20;
		v=169;   
	}else if(single_radio_model_falg){
		//showImage.src="Resources/BG/singleband-BOW.png";
		h=21;
		v=127;
	}
		modelImage.hOffset=h+1;
		modelImage.vOffset=v;
		modelImage.src="Resources/BG/internet_1.png";	
		clickImage.hOffset=h+1;
		clickImage.vOffset=v;
		clickImage.src="Resources/BG/bg_W.png";
	    clickImage.onClick="clickInternet();";
}
function clickLan()
{
		if(login_flag == false){
		return;}
		 if(!lan_already_show)
        {clearAllData(true);}
        modelImage.src="";
        clickImage.src="";
		initAlreadyShowFlag(false,false,true,false,false,false);	
		if(dual_radio_model_falg){
			showImage.src="Resources/BG/dualband-BBWO-2.png";
		    adjust_data_hOffset(180);  		
		    adjust_data_vOffset(330,13);
		    show_List_title(lan_msg, lan_V, 70);}
		  else if(single_radio_model_falg){
		  	showImage.src="Resources/BG/singleband-BWO-2.png";
		  	adjust_data_hOffset(215);   
		    adjust_data_vOffset(285,13);
		   show_List_title(lan_msg, lan655_V,88);}
}
function displayLan()
{
	if(login_flag == false){
		return;
	}	
	var h=0;
	var v=0;
	if(dual_radio_model_falg){
		//showImage.src="Resources/BG/dualband-BBWO.png";
		h=169;
		v=169;
	}else if(single_radio_model_falg){
		//showImage.src="Resources/BG/singleband-BWO.png";	
		h=238;
		v=127;
    }
		modelImage.hOffset=h;
		modelImage.vOffset=v;
		modelImage.src="Resources/BG/network_1.png";	
		clickImage.hOffset=h;
		clickImage.vOffset=v;
		clickImage.src="Resources/BG/bg_W.png";	
		clickImage.onClick="clickLan();";
}
function clickWlan()
{
		if(login_flag == false){
		return;
		}
		if(!wlan_already_show)
        {clearAllData(true);}	
		modelImage.src="";
        clickImage.src="";	
		initAlreadyShowFlag(false,false,false,true,false,false);	
		if(dual_radio_model_falg){
			showImage.src="Resources/BG/dualband-OBWW-2.png";
			adjust_data_hOffset(180);  		
		    adjust_data_vOffset(329,14);
	        show_List_title(W4G_msg, wlan_V, 52);}
	else if(single_radio_model_falg){
		   showImage.src="Resources/BG/singleband-OWW-2.png";
	       adjust_data_hOffset(215);  
		   adjust_data_vOffset(285,14);
           show_List_title(wlan_msg, wlan655_V, 88);}		
}
function displayWlan()
{
	if(login_flag == false){
		return;
		}	
		var h=0;
		var v=0;
	if(dual_radio_model_falg){
		//showImage.src="Resources/BG/dualband-OBWW.png";		
		h=21;
		v=20;
		modelImage.hOffset=h;
		modelImage.vOffset=v;
		modelImage.src="Resources/BG/wireless24g_1.png";	
	
	}else if(single_radio_model_falg){
		//showImage.src="Resources/BG/singleband-OWW.png";	
	   h=130;
	   v=20;
	   	modelImage.hOffset=h;
		modelImage.vOffset=v;
		modelImage.src="Resources/BG/wireless_1.png";	
	}
		clickImage.hOffset=h;
		clickImage.vOffset=v;
		clickImage.src="Resources/BG/bg_B.png";	
	    clickImage.onClick="clickWlan();";
}
function clickWlan5G()
{
		if(login_flag == false){
		return;
		}
		if(!wlan5G_already_show)
        {clearAllData(true);}	
		modelImage.src="";
        clickImage.src="";	
		initAlreadyShowFlag(false,false,false,false,true,false);	
		showImage.src="Resources/BG/dualband-BOWW-2.png";
	    adjust_data_hOffset(180); 
	    adjust_data_vOffset(329,14);
	    show_List_title(W5G_msg, wlan_V, 52);	
}
function displayWlan5G()
{
	if(login_flag == false){
		return;
		}

	   // showImage.src="Resources/BG/dualband-BOWW.png";
	    modelImage.hOffset=169;
		modelImage.vOffset=20;
		modelImage.src="Resources/BG/wireless5g_1.png";	
		clickImage.hOffset=169;
		clickImage.vOffset=20;
		clickImage.src="Resources/BG/bg_B.png";
        clickImage.onClick="clickWlan5G();";
}
function openUrl()
{
	//if(dual_radio_model_falg){
	//}
	// else if(single_radio_model_falg){
	//}
	openURL('http://'+preferences.loginIP.value); 
}
function basic_name()
{
	if(info_already_show)
	{
		if(dual_radio_model_falg){
			adjust_data_hOffset(175);  		
		    adjust_data_vOffset(328,14);
	        show_List_title(basic_msg, basic_V, 70);
	        info_url_text.hOffset= 100;
	        info_url_text.vOffset =400;
	        }
	    else if(single_radio_model_falg){
	       adjust_data_hOffset(215);  
		   adjust_data_vOffset(286,14);
	       show_List_title(basic_msg, basic655_V, 100);
	       info_url_text.hOffset= 130;
	       info_url_text.vOffset= 365;
	      }	
	       info_url_text.data="Configure My Router";
	       info_url_text.onClick="openUrl();";
	    }
}
function show_Info()
{
		if(login_flag == false){
		return;
		}
		clickImage.src="";
		initAlreadyShowFlag(false,false,false,false,false,true);	
		if(dual_radio_model_falg){
			showImage.src="Resources/BG/dualband-BBWW-1.png";
	        }
	else if(single_radio_model_falg){
		   showImage.src="Resources/BG/singleband-BWW-1.png";
	      }	
	       /// clickImage.src="Resources/BG/hide_bg.png";
	        info_flag=true; 
}  
function hideInfo()
{
	
	if(login_flag == false){
		return;
		}
	clearAllData(true); 
	
	if(dual_radio_model_falg){	
		
	         showImage.src="Resources/BG/dualband-BBWW.png";	
	         //clickImage.src="Resources/BG/info_bg.png";
	         info_already_show=false;
	         info_flag=false;

	}
	else if(single_radio_model_falg){

		     showImage.src="Resources/BG/singleband-BWW.png";
		     // clickImage.src="Resources/BG/info_bg.png";
		      info_already_show=false;
	          info_flag=false;	
	}
	 clickImage.src="";
}
function clearAllData(login_success_flag)
{
	//Basic
	   model_name.data="";
	   hw_version.data="";
	   fw_version.data="";
	   system_up_time.data="";
	   info_url_text.data="";
	// internet
	   connectType.data="";
	   cableStatus.data="";
	   networkSTatus.data="";
	   wanUpTime.data="";
	   wanPortSpeed.data="";
	   wanMac.data="";
	   wanIp.data="";
	   wanSubmask.data="";
	   wanGateway.data="";
	   primaryDNS.data="";
	   secondaryDNS.data="";
	  
	   cableStatus.data="";
	   networkSTatus.data="";
	   wanUpTime.data="";
	   wanPortSpeed.data="";
	   wanMac.data="";
	   wanIp.data="";
	   wanSubmask.data="";
	   wanGateway.data="";
	   primaryDNS.data="";
	   secondaryDNS.data="";

	// lan
	   lanMac.data="";
	   lanIp.data="";
	   lanSubMask.data="";
	   dhcpServer.data="";
	   qosEngine.data="";
       upnp.data="";
       multiCast.data="";
       portConn1.data="";
       portConn2.data="";
       portConn3.data="";
       portConn4.data="";
       lanTx.data="";
       lanRx.data="";

	//wlan 2.4G
	   wlanEnable.data="";
	   wlanSsid.data="";
	   wlanMode.data="";
	   wlanChannel.data="";
	   wlanSecMode.data="";
	   wlanMac.data="";
	   wifiSetup.data="";
	   transmissionRate.data="";
	   wlanWmm.data="";
	   wlanPartition.data="";
	   wlanTx.data="";
	   wlanRx.data="";

	//wlan 5G
	  wlanEnable5G.data="";
	  wlanSsid5G.data="";
	  wlanMode5G.data="";
	  wlanChannel5G.data="";
	  wlanSecMode5G.data="";
	  wlanMac5G.data="";
	  wifiSetup5G.data="";
	  transmissionRate5G.data="";
	  wlanWmm5G.data="";
	  wlanPartition5G.data="";
	  wlanTx5G.data="";
	  wlanRx5G.data="";

	//PageTitle
	  PageTitle_0.data="";
	  PageTitle_1.data="";
	  PageTitle_2.data="";
	  PageTitle_3.data="";
	  PageTitle_4.data="";
	  PageTitle_5.data="";
	  PageTitle_6.data="";
	  PageTitle_7.data="";
	  PageTitle_8.data="";
	  PageTitle_9.data="";
	  PageTitle_10.data="";
	  PageTitle_11.data="";
	  PageTitle_12.data="";
	  PageTitle_13.data="";
	  PageTitle_14.data="";
}
function clearunitData()
{	
	//unit
	 for_unit1.data="";
	 for_unit2.data="";
	 for_unit3.data="";
	 for_unit4.data="";
}
function entry_show()
{
    if(dual_radio_model_falg)
      {
          if(internet_already_show)
            {show_List_title(internet_msg, internet_V, 50);}
          else if(lan_already_show)
            {show_List_title(lan_msg, lan_V, 70);}
          else if(wlan_already_show)
            {show_List_title(W4G_msg, wlan_V, 52);}
          else if(wlan5G_already_show)
             {show_List_title(W5G_msg, wlan_V, 52);}	
      }
      else if(single_radio_model_falg)
      {
           if(internet_already_show)
             {show_List_title(internet_msg, internet655_V, 88);}
           else if(lan_already_show)
             {show_List_title(lan_msg, lan655_V,88);}
           else if(wlan_already_show)
             {show_List_title(wlan_msg, wlan655_V, 88);}
       }
}
function show_image()
{
	if(dual_radio_model_falg){
       showImage.src="Resources/BG/dualband-BBWW.png";}
       if(single_radio_model_falg)
       {showImage.src="Resources/BG/singleband-BWW.png";	}
}
function show_image2()
{

	 if(dual_radio_model_falg){
	 	 clearAllData(true);
	      initAlreadyShowFlag(false,false,false,false,false,false);		
	       clickImage.src=""; 
	       modelImage.src=""; 
           showImage.src="Resources/BG/dualband-BBWW.png";
      }
     if(single_radio_model_falg)
       {
       	   clearAllData(true);
	       initAlreadyShowFlag(false,false,false,false,false,false);
	       clickImage.src=""; 
	       modelImage.src="";       
       	   showImage.src="Resources/BG/singleband-BWW.png";  
        }           
}
function displaySingleRadioModel()
{
   if(system.event.x >= 36 && system.event.x < 149 && system.event.y > 145 && system.event.y < 255)
  {
  	    if(info_already_show||lan_already_show||wlan_already_show)
  	     { 
  	     	if(info_already_show)
  	     	{basic_name();}
            displayInternet();
  	     	return;
  	     	}  	     
              if(internet_already_show){
  		              top.src="";
  		             // clearAllData(true);
  		              clickInternet();
  	             }  
  	          else if(!internet_already_show){
  		                top.src="";
  		                clearAllData(true);
  		                displayInternet();
  		          }  	        
  }
  else if(system.event.x >= 258&& system.event.x <365 && system.event.y > 146 && system.event.y < 256)
  {
  	   if(info_already_show||internet_already_show||wlan_already_show)
  	     {
  	     	 if(info_already_show)
  	     	{basic_name();}
  	     	displayLan();
  	     	return;
  	     	}  	     
             if(lan_already_show){
  	                 top.src="";
  		            // clearAllData(true);  		
  		             clickLan();
  	              }
  	         else if(!lan_already_show){
  		              top.src="";
  		              clearAllData(true);  		
  		              displayLan();
  	              }  
           
  }
  else if(system.event.x >= 147 && system.event.x < 259 && system.event.y > 41 && system.event.y < 142)
  {
  	   if(info_already_show||internet_already_show||lan_already_show)
  	     { 
  	     	if(info_already_show)
  	     	{basic_name();}
  	     	displayWlan();
  	     	return;
  	     	}
  	         if(wlan_already_show){
  		                top.src="";
  		                //clearAllData(true);  		
  		                clickWlan();
  	                }
              else if(!wlan_already_show){
  		                  top.src="";
  		                  clearAllData(true);
  		                  displayWlan();
  	                }
  }
   else if(system.event.x >= 183 && system.event.x < 221 && system.event.y > 183 && system.event.y < 221)
  	{
  		 if(internet_already_show||lan_already_show||wlan_already_show)
  		 { 	
  		 	  entry_show();  
  		 	  clickImage.hOffset=183;
  		 	  clickImage.vOffset=183;
  		 	  clickImage.src="Resources/BG/hide_bg.png";	 	  
  		 	  clickImage.onClick="show_image2();"
  		 	  return;
  		 	 }
  		 	 else{
  	              if(!info_flag)
  	                {
  	 	                top.src="";
  		       			clickImage.hOffset=182;
  		 	            clickImage.vOffset=182;
  		       			clickImage.src="Resources/BG/info_bg.png";
  		       			clickImage.onClick="show_Info();"
  		       			basic_name();
  	        		}
  	      		 else if(info_flag)
  		           {
  		             	if(info_already_show)
  		             	{
  			   			    top.src="";
  		        		    //clearAllData(true);	  
  		        		    clickImage.hOffset=183;
  		 	                clickImage.vOffset=183;
  		        		    clickImage.src="Resources/BG/hide_bg.png";	 
  		       			    clickImage.onClick="hideInfo();"
  		       			    basic_name();
  		       			}
  		       			else
  		       				{
  		       					top.src="";
  		       			        clickImage.hOffset=182;
  		 	                    clickImage.vOffset=182;
  		       			        clickImage.src="Resources/BG/info_bg.png";
  		       			        clickImage.onClick="show_Info();"
  		       				}
  		    		}
  		    	}
  	} 
  else  	
  { 
  	  if(info_already_show||internet_already_show||lan_already_show||wlan_already_show)
  	     {  if(info_already_show)
  	     	{basic_name();}
  	     	return;}
              clearAllData(true);
  		      clickImage.src="";
  		      modelImage.src="";
  		      showImage.src="Resources/BG/singleband-BWW.png";  	
  		}	
}	
function displayDualRadioModel()
{
      if(system.event.x >= 41 && system.event.x < 139 && system.event.y > 184 && system.event.y < 293)
  {
  	 	 if(info_already_show||lan_already_show||wlan_already_show||wlan5G_already_show)
  	     { 
  	     	if(info_already_show)
  	     	{basic_name();}
  	     	 displayInternet();
  	     	return;
  	     	}
  	           if(internet_already_show){
  		                    top.src="";
  		                    clickInternet();
  	                    }  
  	            else if(!internet_already_show){
  		                    top.src="";
  		                    clearAllData(true);
  		                    displayInternet();
  		                }
  }
  else if(system.event.x >= 192 && system.event.x < 290 && system.event.y > 188 && system.event.y < 293)
  {
  	 	 if(info_already_show||internet_already_show||wlan_already_show||wlan5G_already_show)
  	     { 
  	     	if(info_already_show)
  	     	{basic_name();}
  	     	 displayLan();
  	     	return;}
             if(lan_already_show){
  	                  top.src="";		
  		              clickLan();
  	               }
  	         else if(!lan_already_show){
  		                top.src="";
  		                clearAllData(true);  		
  		                displayLan();
  	               }  
  }
  else if(system.event.x >= 40&&system.event.x<142&&system.event.y >38&&system.event.y < 140)
  {
  	 	 if(info_already_show||internet_already_show||lan_already_show||wlan5G_already_show)
  	     { if(info_already_show)
  	     	{basic_name();}
  	     	displayWlan();
  	     	return;}
           	if(wlan_already_show){
  		               top.src="";	
  		               clickWlan();
  	                 }
             else if(!wlan_already_show){
  		               top.src="";
  		               clearAllData(true);
  		               displayWlan();
  	                 }
  }
 else if(system.event.x >= 195 && system.event.x < 294 && system.event.y >34 && system.event.y < 145)
  {
  	 	  if(info_already_show||internet_already_show||lan_already_show||wlan_already_show)
  	     { if(info_already_show)
  	     	{basic_name();}
  	     	displayWlan5G();
  	     	return;}
        	if(wlan5G_already_show){
  		               top.src="";	
  		               clickWlan5G();
  	           }
           else if(!wlan5G_already_show){
  		               top.src="";
  		               clearAllData(true);
  		              displayWlan5G();
  	           }
         }
  else if(system.event.x >= 148 && system.event.x < 185 && system.event.y > 148 && system.event.y<185)
  	{
  		 if(internet_already_show||lan_already_show||wlan_already_show||wlan5G_already_show)
  	     { 
  	     	  entry_show();  		 	  
  		 	  clickImage.hOffset=148;
  		 	  clickImage.vOffset=147;
  		 	  clickImage.src="Resources/BG/hide_bg.png";	 	  
  		 	  clickImage.onClick="show_image2();"
  		 	  return;
  	     }
  	     else 
  	     	{
  	          if(!info_flag)
  	            {
  	 	            top.src="";
  		           clickImage.hOffset=147;
  		 	       clickImage.vOffset=146;
  		           clickImage.src="Resources/BG/info_bg.png";
  		           clickImage.onClick="show_Info();"
  		           basic_name();
  	            }
  	         else if(info_flag)
  		       {
  		        	if(info_already_show)
  		             {
  			               top.src="";
  		                  // clearAllData(true);	 
  		                   clickImage.hOffset=148;
  		 	               clickImage.vOffset=147;
  		                   clickImage.src="Resources/BG/hide_bg.png";	   
  		                   clickImage.onClick="hideInfo();"
  		                   basic_name();
  		               }
  		            else
  		       		   {
  		       				top.src="";
  		       			    clickImage.hOffset=147;
  		 	                clickImage.vOffset=146;
  		       			    clickImage.src="Resources/BG/info_bg.png";
  		       			    clickImage.onClick="show_Info();"
  		       		   }
  		       }
  		  }
  	}
  else
  {		 
  	  if(info_already_show||internet_already_show||lan_already_show||wlan_already_show||wlan5G_already_show)
  	     {
  	     	 if(info_already_show)
  	     	 {basic_name();}
  	     	return;}
  	     	clearAllData(true);	 
 	        clickImage.src="";
 	        modelImage.src="";
  		    showImage.src="Resources/BG/dualband-BBWW.png";
         }
  }		
function displayFrame()
{
	//print("---------- displayFrame----------");
	if(login_flag == false){
		return;
	}
	
  var selectModelUrl = new URL();
	   selectModelUrl.location = "http://" + preferences.loginIP.value + "/router_info.xml?section=wlan_stats";
	   selectModelUrl.fetchAsync(detect_model_url_done);
	   selectModelUrl=null;
	  // print("detect_model-----1");
	/* dual radio display */
	if(dual_radio_model_falg){
		displayDualRadioModel();
		if_change_model="dual";
	/* single radio display */
	}else  if(single_radio_model_falg){
		displaySingleRadioModel();
		if_change_model="single";
	}
	else if(!dual_radio_model_falg&&!single_radio_model_falg)
		{
			print("back-----------back-----------back");
           sleep(100);
			return;
		}
}

